%%
%% This is file `edrfcm.cls',

\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{edrfcm}[2005/11/24 EDRM document class by Stefano Leonardi]
\typeout{TYPESETTING in EDRM symposium format ...}
\typeout{}

\LoadClass[twoside,twocolumn,letterpaper]{article} %

\RequirePackage{edrfcm}     %edrm.sty provided in the filepackage
\RequirePackage{graphics}  %Standars package
\RequirePackage{graphicx}  %Standard package

%%%%%%%%%%%%%%%%%%%%
% General layout
%
 
\setlength{\topmargin}{-5mm}
%\setlength{\topmargin}{0mm}
\setlength{\headsep}{0mm}
\setlength{\footskip}{32pt}
\setlength{\textheight}{240.0mm}
%\setlength{\textheight}{243.4mm}
\setlength{\textwidth}{169.7mm}
%\setlength{\textwidth}{165mm}
\setlength{\columnsep}{9.53mm}
%\setlength{\evensidemargin}{\oddsidemargin}
\renewcommand{\baselinestretch}{1.05}



\let\@date\@empty
\doublehyphendemerits=100000
\setlength\hfuzz{3pt}    % reduce the quantity of \overfull warnings


%%%%%%%%%%%%%%%%%%
% Modify floatings
%
  \renewcommand{\topfraction}{0.9}
  \renewcommand{\bottomfraction}{0.9}
  \renewcommand{\textfraction}{0.1}
  \renewcommand{\floatpagefraction}{0.8}
  \renewcommand{\dbltopfraction}{\floatpagefraction}
  \renewcommand{\dblfloatpagefraction}{\floatpagefraction}
  
  \setcounter{topnumber}{10}
  \setcounter{dbltopnumber}{\value{topnumber}}
  \setcounter{bottomnumber}{\value{topnumber}}
  \setcounter{totalnumber}{\value{topnumber}}
  \addtocounter{totalnumber}{\value{bottomnumber}}

  
  \setlength{\floatsep}        { 5pt plus 2pt minus 2pt}
  \setlength{\textfloatsep}    { 5pt plus 2pt minus 3pt}
  \setlength{\intextsep}       { 5pt plus 2pt minus 2pt}
  \setlength{\dblfloatsep}     {\floatsep}
  \setlength{\dbltextfloatsep} {\textfloatsep}

\renewcommand{\and}{\\*[-8pt]}

%%%%%%%%%%%%%%%%%%%%%
% Title
% 

\def\@maketitle{%
  \newpage
\begin{flushright}
{\bf
Joint ERCOFTAC/EU-CTFF\\
European Drag Reduction and Flow Control Meeting -- EDRFCM 2022 \\
September 6$^{\rm{th}}$--9$^{\rm{th}}$, 2022, Paris, France \\ \vspace{5mm}}
\end{flushright}

  \begin{center}%  
  \let \footnote \thanks
  \parbox{150mm}{\centering
  \setlength{\baselineskip}{17pt}
   {\Large{\sffamily\bfseries\MakeUppercase
   {\@title}}}}
   \par%
    \vskip 10pt%
%     \renewcommand{\baselinestretch}{.9}
    {\large{\textsf\@author}}
    \par%
    \vskip 1em%
  \end{center}%
  \par%
  \vskip 1em%
}


%%%%%%%%%%%%%%%%%%%%%%%
% Sectioning
%

\setcounter{secnumdepth}{-2}% instead of having to use the *'d
                            % section commands

\renewcommand{\section}[1]{
\par
\vspace{16pt}
\noindent\textsf{\textbf{\MakeUppercase{#1}}}
\par
\vspace{2pt}
}
\renewcommand{\subsection}[1]{
\par
\vspace{16pt}
\noindent\textsf{\textbf{#1}}
\par
}
\renewcommand{\subsubsection}[1]{%
\par
\vspace{16pt}
\textsf{\textbf{#1.}}}


\renewcommand\paragraph{\@startsection{paragraph}{4}%
  {\parindent}%
  {0.3ex}%
  {-1em}%
  {\normalfont\normalsize\sffamily}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}%
  {\parindent}%
  {0.3ex}%
  {-1em}%
  {\normalfont\normalsize\itshape}}
\listfiles
\endinput
%%
%% End of file
